<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Academic;
use App\Models\FacultiesStaff;
use App\Models\Message;
use Illuminate\Http\Request;

class UserAboutController extends Controller
{
    //About View
    public function UserAbout()
    {
        return view('user.about.about');
    }

    //Meesage View
    public function UserUserMessage($id, $slug){
        $message = Message::find($id);
        return view('user.about.user_message', compact('message'));
    }

    public function UserUserStaff(){
        $staff = FacultiesStaff::find(1);
        return view('user.about.staff', compact('staff'));
    }

    //Academics View Page
    public function UserAcademics()
    {
        $academics = Academic::find(1);
        return view('user.about.academics', compact('academics'));
    }
}
